Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 686672

Summary: dev-java/oracle-jdk-bin-11: javafx flag is absolute
Product: Gentoo Linux Reporter: Anton Bolshakov <blshkv>
Component: Current packagesAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal CC: jstein
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Anton Bolshakov 2019-05-24 15:16:19 UTC
There are few "if" and "then" in the current ebuild but these are absolute and does not do anything as *.jar's are missing.

JavaFX is a standalone module now and need to be installed from the following location:
https://gluonhq.com/products/javafx/

For more details, see the following article:
https://www.infoworld.com/article/3305073/removed-from-jdk-11-javafx-11-arrives-as-a-standalone-module.html

So we need to fix the ebuild and either download additional binaries optionally or create a separate package.

Thank you
Comment 1 Larry the Git Cow gentoo-dev 2020-09-19 08:06:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7faaad2f8c5312dfb8d6e539b5a7346652e98b

commit 6a7faaad2f8c5312dfb8d6e539b5a7346652e98b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:36:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:29 +0000

    dev-java/oracle-jdk-bin: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/732630
    Bug: https://bugs.gentoo.org/717638
    Closes: https://bugs.gentoo.org/575978
    Closes: https://bugs.gentoo.org/686672
    Closes: https://bugs.gentoo.org/684306
    Closes: https://bugs.gentoo.org/692420
    Closes: https://bugs.gentoo.org/684120
    Closes: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17594
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/oracle-jdk-bin/Manifest                   |  15 --
 .../oracle-jdk-bin/files/fontconfig.properties     | 161 -----------
 .../oracle-jdk-bin/files/oracle-jdk-bin-9.env.sh   |  16 --
 .../oracle-jdk-bin/files/oracle-jdk-bin.env.sh     |  16 --
 dev-java/oracle-jdk-bin/metadata.xml               |  16 --
 .../oracle-jdk-bin/oracle-jdk-bin-1.8.0.202.ebuild | 297 ---------------------
 .../oracle-jdk-bin/oracle-jdk-bin-11.0.2.ebuild    | 247 -----------------
 7 files changed, 768 deletions(-)